#include "AudioListener.hpp"
#include "Vector3.hpp"
#include "elements/Transformable.hpp"
#include "elements/AudioEngine.hpp"

void TSE::AudioListener::OnUpdate()
{
    Vector3 pos = baseObject->GetGlobalPosition();
    ma_engine_listener_set_position(AudioEngine::engine, 0, pos.x, pos.y, -pos.z);
}